Update lilo to 22.8 (#3685)
[openwrt/svn-archive/archive.git] / utils / lilo / Makefile
1 #
2 # Copyright (C) 2006 OpenWrt.org
3 #
4 # This is free software, licensed under the GNU General Public License v2.
5 # See /LICENSE for more information.
6 #
7 # $Id$
8
9 include $(TOPDIR)/rules.mk
10
11 PKG_NAME:=lilo
12 PKG_VERSION:=22.8
13 PKG_RELEASE:=1
14
15 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).src.tar.gz
16 PKG_SOURCE_URL:=ftp://metalab.unc.edu/pub/Linux/system/boot/lilo/
17 PKG_MD5SUM:=72765f2aafd20e23ecf07ebd22baeec7
18
19 include $(INCLUDE_DIR)/package.mk
20
21 define Package/lilo
22 SECTION:=base
23 CATEGORY:=Boot Loaders
24 DEPENDS:=@TARGET_x86
25 TITLE:=lilo
26 URL:=ftp://metalab.unc.edu/pub/Linux/system/boot/lilo/
27 endef
28
29 define Package/lilo/conffiles
30 /etc/lilo.conf
31 endef
32
33 define Build/Compile
34 $(MAKE) -C $(PKG_BUILD_DIR) alles
35 endef
36
37 define Package/lilo/install
38 $(INSTALL_DIR) $(1)/sbin
39 $(CP) $(PKG_BUILD_DIR)/lilo.static $(1)/sbin/lilo
40 $(INSTALL_DIR) $(1)/etc
41 $(CP) ./files/lilo.conf $(1)/etc/
42 $(CP) ./files/boot.msg $(1)/etc/
43 endef
44
45 $(eval $(call BuildPackage,lilo))
46
47 $(foreach command, as86 ld86, \
48 $(eval $(call RequireCommand,$(command), \
49 $(PKG_NAME) requires $(command). \
50 )) \
51 )